Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.alien.enterpriseRFID.discovery
Interface DiscoveryListener

public interface DiscoveryListener

DiscoveryListener is an Interface that is implemented by all objects that want to receive messages about readers that appear and disappear from a network.

Version:
  1.2 Feb 2004
Author:
  Chris Parkinson, David Krull

Method Summary
`void` | `readerAdded(DiscoveryItem discoveryItem)` A single reader has been added to the network.
`void` | `readerRemoved(DiscoveryItem discoveryItem)` A single reader has been removed from the network and is no longer available.
`void` | `readerRenewed(DiscoveryItem discoveryItem)` A single reader has renewed its lease.

Method Detail

### readerAdded

    public void readerAdded(DiscoveryItem discoveryItem)

  A single reader has been added to the network. This method is called when the DiscoveryListenerService first receives a heartbeat message from a reader.

  Parameters:
    `discoveryItem` - represents the reader that has been newly found on the network

### readerRenewed

    public void readerRenewed(DiscoveryItem discoveryItem)

  A single reader has renewed its lease. This method is called when the DiscoveryListenerService receives subsequent heartbeat messages from a reader that it already knows about.

  Parameters:
    `discoveryItem` - represents the reader that has been seen again on the network

### readerRemoved

    public void readerRemoved(DiscoveryItem discoveryItem)

  A single reader has been removed from the network and is no longer available. This method is called when a DiscoveryListenerService fails to receive a heartbeat message within the heartbeat lease time from a reader that it already knows about.

  Parameters:
    `discoveryItem` - represents the reader that has been removed from the network

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD